Index: /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.cpp	(revision 332)
@@ -605,5 +605,4 @@
 
 #if H3D_IVMP
-#if QC_AMVP_MRG_UNIFY_IVCAN_C0051
 Bool
 TComDepthMapGenerator::getPdmCandidate(TComDataCU* pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo, Int* iPdm, Bool bMerge )
@@ -636,9 +635,6 @@
   for( UInt uiBId = 0; uiBId < m_uiCurrViewId && iValid==0; uiBId++ )
   {
-#if MTK_C0138_FIXED
+
     UInt        uiBaseId    = uiBId;
-#else
-    UInt        uiBaseId    = m_auiBaseIdList[ uiBId ];
-#endif
     TComPic*    pcBasePic   = m_pcAUPicAccess->getPic( uiBaseId );
     for( Int iRefListId = 0; iRefListId < 2 && iValid==0; iRefListId++ )
@@ -785,330 +781,4 @@
   return false;
 }
-#else // QC_AMVP_MRG_UNIFY_IVCAN_C0051
-#if H3D_NBDV
-Int
-TComDepthMapGenerator::getPdmMergeCandidate( TComDataCU* pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo, Int* iPdm )
-#else
-Int
-TComDepthMapGenerator::getPdmMergeCandidate( TComDataCU* pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv )
-#endif 
-{
-  AOF  ( m_bCreated && m_bInit );
-
-#if !H3D_NBDV
-  ROFRS( m_bPDMAvailable, 0 );
-#endif
-
-  TComSlice*    pcSlice     = pcCU->getSlice ();
-  TComSPS*      pcSPS       = pcSlice->getSPS();
-  AOF  ( pcSPS->getViewId() == m_uiCurrViewId );
-  Bool          bPdmMerge   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_MERGE ) == PDM_USE_FOR_MERGE );
-  ROTRS( !bPdmMerge, 0 );
-
-  Bool abPdmAvailable[4] = {false, false, false, false};
-
-  Int iValid = 0;
-  Int iViewId = 0;
-  for( UInt uiBId = 0; uiBId < m_uiCurrViewId && iValid==0; uiBId++ )
-  {
-    UInt        uiBaseId    = m_auiBaseIdList[ uiBId ];
-    TComPic*    pcBasePic   = m_pcAUPicAccess->getPic( uiBaseId );
-    for( Int iRefListId = 0; iRefListId < 2 && iValid==0; iRefListId++ )
-    {
-      RefPicList  eRefPicListTest = RefPicList( iRefListId );
-      Int         iNumRefPics = pcSlice->getNumRefIdx( eRefPicListTest ) ;
-      for( Int iRefIndex = 0; iRefIndex < iNumRefPics; iRefIndex++ )
-      { 
-        if(pcBasePic->getPOC() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getPOC() 
-          && pcBasePic->getViewId() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getViewId())
-        {
-          iValid=1;
-          iViewId = uiBaseId;
-          break;
-        }
-      }
-    }
-  }
-  if (iValid == 0)
-    return 0;
-
-  //--- get base CU/PU and check prediction mode ---
-  TComPic*    pcBasePic   = m_pcAUPicAccess->getPic( iViewId );
-  TComPicYuv* pcBaseRec   = pcBasePic->getPicYuvRec   ();
-
-#if H3D_NBDV
-  Int  iCurrPosX, iCurrPosY;
-  UInt          uiPartAddr;
-  Int           iWidth;
-  Int           iHeight;
-
-  pcCU->getPartIndexAndSize( uiPartIdx, uiPartAddr, iWidth, iHeight );
-  pcBaseRec->getTopLeftSamplePos( pcCU->getAddr(), pcCU->getZorderIdxInCU() + uiPartAddr, iCurrPosX, iCurrPosY );
-  iCurrPosX  += ( ( iWidth  - 1 ) >> 1 );
-  iCurrPosY  += ( ( iHeight - 1 ) >> 1 );
-
-  Int         iBasePosX   = Clip3( 0, pcBaseRec->getWidth () - 1, iCurrPosX + ( (pDInfo->m_acMvCand[0].getHor() + 2 ) >> 2 ) );
-  Int         iBasePosY   = Clip3( 0, pcBaseRec->getHeight() - 1, iCurrPosY + ( (pDInfo->m_acMvCand[0].getVer() + 2 ) >> 2 )); 
-  Int         iBaseCUAddr;
-  Int         iBaseAbsPartIdx;
-  pcBaseRec->getCUAddrAndPartIdx( iBasePosX , iBasePosY , iBaseCUAddr, iBaseAbsPartIdx );
-#else
-  Int  iPrdDepth, iCurrPosX, iCurrPosY;
-  Bool bAvailable  = xGetPredDepth( pcCU, uiPartIdx, iPrdDepth, &iCurrPosX, &iCurrPosY );
-  AOF( bAvailable );
-  TComPicYuv* pcBasePdm   = pcBasePic->getPredDepthMap();
-  Int         iDisparity  = xGetDisparityFromVirtDepth( iViewId, iPrdDepth );
-  Int         iShiftX     = m_uiSubSampExpX + 2;
-  Int         iAddX       = ( 1 << iShiftX ) >> 1;
-  Int         iBasePosX   = Clip3( 0, pcBasePdm->getWidth () - 1, iCurrPosX + ( ( iDisparity + iAddX ) >> iShiftX ) );
-  Int         iBasePosY   = Clip3( 0, pcBasePdm->getHeight() - 1, iCurrPosY                               );
-  Int         iBaseCUAddr;
-  Int         iBaseAbsPartIdx;
-  pcBaseRec->getCUAddrAndPartIdx( iBasePosX<< m_uiSubSampExpX , iBasePosY<< m_uiSubSampExpY , iBaseCUAddr, iBaseAbsPartIdx );
-#endif 
-
-  TComDataCU* pcBaseCU    = pcBasePic->getCU( iBaseCUAddr );
-
-  if( pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) == MODE_INTER || pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) == MODE_SKIP )
-  {
-    for( UInt uiBaseRefListId = 0; uiBaseRefListId < 2; uiBaseRefListId++ )
-    {
-      RefPicList  eBaseRefPicList = RefPicList( uiBaseRefListId );
-      TComMvField cBaseMvField;
-      pcBaseCU->getMvField( pcBaseCU, iBaseAbsPartIdx, eBaseRefPicList, cBaseMvField );
-      Int         iBaseRefIdx     = cBaseMvField.getRefIdx();
-
-      if (iBaseRefIdx >= 0)
-      {
-        Int iBaseRefPOC = pcBaseCU->getSlice()->getRefPOC(eBaseRefPicList, iBaseRefIdx);
-        if (iBaseRefPOC != pcSlice->getPOC())    
-        {
-          for (Int iPdmRefIdx = 0; iPdmRefIdx < pcSlice->getNumRefIdx( eBaseRefPicList ); iPdmRefIdx++)
-          {
-            if (iBaseRefPOC == pcSlice->getRefPOC(eBaseRefPicList, iPdmRefIdx))
-            {
-              abPdmAvailable[ uiBaseRefListId ] = true;
-              paiPdmRefIdx  [ uiBaseRefListId ] = iPdmRefIdx;
-              TComMv cMv(cBaseMvField.getHor(), cBaseMvField.getVer());
-#if H3D_NBDV
-              cMv.m_bDvMcp = true;
-              cMv.m_iDvMcpDispX = pDInfo->m_acMvCand[0].getHor();
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
-              cMv.m_iDvMcpDispY = pDInfo->m_acMvCand[0].getVer();
-#endif
-#endif //H3D_NBDV
-              pcCU->clipMv( cMv );
-              pacPdmMv      [ uiBaseRefListId ] = cMv;
-              break;
-            }
-          }
-        }
-      }
-    }
-  }
-  Int iPdmInterDir = ( abPdmAvailable[0] ? 1 : 0 ) + ( abPdmAvailable[1] ? 2 : 0 );
-
-  iPdm[0] = iPdmInterDir;
-    for( Int iRefListId = 0; iRefListId < 2 ; iRefListId++ )
-    {
-      RefPicList  eRefPicList       = RefPicList( iRefListId );
-      Int         iNumRefPics       = pcSlice->getNumRefIdx( eRefPicList );
-      for( Int iPdmRefIdx = 0; iPdmRefIdx < iNumRefPics; iPdmRefIdx++ )
-      {
-        if( pcSlice->getRefPOC( eRefPicList, iPdmRefIdx ) == pcSlice->getPOC())
-        {
-          abPdmAvailable[ iRefListId+2 ] = true;
-          paiPdmRefIdx  [ iRefListId+2 ] = iPdmRefIdx;
-#if H3D_NBDV
-          TComMv cMv = pDInfo->m_acMvCand[0]; 
-          cMv.setVer(0);
-#else
-          TComMv cMv(iDisparity, 0);
-#endif
-          pcCU->clipMv( cMv );
-          pacPdmMv      [ iRefListId + 2] = cMv;
-          break;
-        }
-      }
-    }
-    iPdmInterDir = ( abPdmAvailable[2] ? 1 : 0 ) + ( abPdmAvailable[3] ? 2 : 0 ) ;
-    iPdm[1] = iPdmInterDir;
-
-  return iPdmInterDir;
-}
-
-#if H3D_NBDV
-Bool
-TComDepthMapGenerator::getDisCanPdmMvPred    ( TComDataCU*   pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, DisInfo* pDInfo, Bool bMerge )
-{
-  rcMv.m_bDvMcp = false;
-  AOF  ( m_bCreated && m_bInit );
-  AOF  ( iRefIdx >= 0 );
-  AOF  ( pcCU );
-  TComSlice*    pcSlice     = pcCU->getSlice ();
-  TComSPS*      pcSPS       = pcSlice->getSPS();
-  AOF  ( pcSPS->getViewId() == m_uiCurrViewId );
-  TComPic*      pcRefPic    = pcSlice->getRefPic( eRefPicList, iRefIdx );
-  UInt          uiRefViewId = pcRefPic->getSPS()->getViewId();
-  Int           iRefPoc     = pcRefPic->getPOC();
-  Bool          bInterview  = ( uiRefViewId < m_uiCurrViewId );
-  AOT(  bInterview && iRefPoc != pcSlice->getPOC() );
-  AOT( !bInterview && iRefPoc == pcSlice->getPOC() );
-  Bool          bPdmIView   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_IVIEW ) == PDM_USE_FOR_IVIEW );
-  Bool          bPdmInter   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_INTER ) == PDM_USE_FOR_INTER );
-  Bool          bPdmMerge   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_MERGE ) == PDM_USE_FOR_MERGE );
-  ROTRS( ( bInterview && !bMerge ) && !bPdmIView, false );
-  ROTRS( (!bInterview && !bMerge ) && !bPdmInter, false );
-  ROTRS(                  bMerge   && !bPdmMerge, false );
-  Int  iCurrPosX, iCurrPosY;
-  TComMv cDisMv;
-
-  if( bInterview )
-  {
-    rcMv = pDInfo->m_acMvCand[0]; 
-    rcMv.setVer(0);
-    return      true;
-  }
-  for( UInt uiBId = 0; uiBId < m_uiCurrViewId; uiBId++ )
-  {
-    UInt        uiBaseId    = uiBId; 
-
-    if (m_uiCurrViewId >1 && uiBaseId ==1 ) 
-      continue;
-
-    TComPic*    pcBasePic   = m_pcAUPicAccess->getPic( uiBaseId );
-    TComPicYuv* pcBaseRec   = pcBasePic->getPicYuvRec   ();
-    UInt          uiPartAddr;
-    Int           iWidth;
-    Int           iHeight;
-
-    pcCU->getPartIndexAndSize( uiPartIdx, uiPartAddr, iWidth, iHeight );
-    pcBaseRec->getTopLeftSamplePos( pcCU->getAddr(), pcCU->getZorderIdxInCU() + uiPartAddr, iCurrPosX, iCurrPosY );
-    iCurrPosX  += ( ( iWidth  - 1 ) >> 1 );
-    iCurrPosY  += ( ( iHeight - 1 ) >> 1 );
-    Int         iBasePosX   = Clip3( 0, pcBaseRec->getWidth () - 1, iCurrPosX + ( (pDInfo->m_acMvCand[0].getHor() + 2 ) >> 2 ) );
-    Int         iBasePosY   = Clip3( 0, pcBaseRec->getHeight() - 1, iCurrPosY + ( (pDInfo->m_acMvCand[0].getVer() + 2 ) >> 2 ));  
-    Int         iBaseCUAddr;
-    Int         iBaseAbsPartIdx;
-    pcBaseRec->getCUAddrAndPartIdx( iBasePosX , iBasePosY , iBaseCUAddr, iBaseAbsPartIdx );
-    TComDataCU* pcBaseCU    = pcBasePic->getCU( iBaseCUAddr );
-    if( pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) != MODE_INTER && pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) != MODE_SKIP )
-    {
-      continue;
-    }
-    for( UInt uiBaseRefListId = 0; uiBaseRefListId < 2; uiBaseRefListId++ )
-    {
-      RefPicList  eBaseRefPicList = RefPicList( uiBaseRefListId );
-      TComMvField cBaseMvField;
-      pcBaseCU->getMvField( pcBaseCU, iBaseAbsPartIdx, eBaseRefPicList, cBaseMvField );
-      Int         iBaseRefIdx     = cBaseMvField.getRefIdx();
-      Int         iBaseRefPoc     = ( iBaseRefIdx >= 0 ? pcBaseCU->getSlice()->getRefPic( eBaseRefPicList, iBaseRefIdx )->getPOC() : -(1<<30) );
-      if( iBaseRefIdx >= 0 && iBaseRefPoc == iRefPoc )
-      {
-        rcMv.set( cBaseMvField.getHor(), cBaseMvField.getVer() );
-        // save disparity vector when a merge candidate for IVMP is set as DV-MCP
-        if( bMerge ) 
-        {
-          rcMv.m_bDvMcp = true;
-          rcMv.m_iDvMcpDispX = pDInfo->m_acMvCand[0].getHor(); 
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
-          rcMv.m_iDvMcpDispY = pDInfo->m_acMvCand[0].getVer();
-#endif
-        }
-        else { // AMVP ?
-          rcMv.m_bDvMcp = false;
-        }
-        return true;
-      }
-    }
-  }
-  return false;
-}
-#else // H3D_NBDV
-Bool  
-TComDepthMapGenerator::getPdmMvPred( TComDataCU* pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, Bool bMerge )
-{
-  AOF  ( m_bCreated && m_bInit );
-  AOF  ( iRefIdx >= 0 );
-  AOF  ( pcCU );
-  ROFRS( m_bPDMAvailable, false );
-
-  TComSlice*    pcSlice     = pcCU->getSlice ();
-  TComPic*      pcPic       = pcCU->getPic   ();
-  TComSPS*      pcSPS       = pcSlice->getSPS();
-  AOF  ( pcPic->getPredDepthMap() );
-  AOF  ( pcSPS->getViewId() == m_uiCurrViewId );
-  
-  TComPic*      pcRefPic    = pcSlice->getRefPic( eRefPicList, iRefIdx );
-  UInt          uiRefViewId = pcRefPic->getSPS()->getViewId();
-  Int           iRefPoc     = pcRefPic->getPOC();
-  Bool          bInterview  = ( uiRefViewId < m_uiCurrViewId );
-  AOT(  bInterview && iRefPoc != pcSlice->getPOC() );
-  AOT( !bInterview && iRefPoc == pcSlice->getPOC() );
-
-  Bool          bPdmIView   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_IVIEW ) == PDM_USE_FOR_IVIEW );
-  Bool          bPdmInter   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_INTER ) == PDM_USE_FOR_INTER );
-  Bool          bPdmMerge   = ( ( pcSPS->getMultiviewMvPredMode() & PDM_USE_FOR_MERGE ) == PDM_USE_FOR_MERGE );
-  ROTRS( ( bInterview && !bMerge ) && !bPdmIView, false );
-  ROTRS( (!bInterview && !bMerge ) && !bPdmInter, false );
-  ROTRS(                  bMerge   && !bPdmMerge, false );
-
-  //===== get predicted depth for middle position of current PU =====  
-  Int  iPrdDepth, iCurrPosX, iCurrPosY;
-  Bool bAvailable  = xGetPredDepth( pcCU, uiPartIdx, iPrdDepth, &iCurrPosX, &iCurrPosY );
-  AOF( bAvailable );
-  
-  //===== inter-view motion vector prediction =====
-  if( bInterview )
-  {
-    Int         iDisparity  = xGetDisparityFromVirtDepth( uiRefViewId, iPrdDepth );
-    rcMv.set  ( iDisparity, 0 );
-    return      true;
-  }
-  
-  //===== inter motion vector prediction =====
-  for( UInt uiBId = 0; uiBId < m_uiCurrViewId; uiBId++ )
-  {
-    //--- get base CU/PU and check prediction mode ---
-    UInt        uiBaseId    = m_auiBaseIdList[ uiBId ];
-#if PDM_REMOVE_DEPENDENCE
-    if( uiBaseId != 0)
-      continue;
-#endif
-    TComPic*    pcBasePic   = m_pcAUPicAccess->getPic( uiBaseId );
-    TComPicYuv* pcBasePdm   = pcBasePic->getPredDepthMap();
-    TComPicYuv* pcBaseRec   = pcBasePic->getPicYuvRec   ();
-    Int         iDisparity  = xGetDisparityFromVirtDepth( uiBaseId, iPrdDepth );
-    Int         iShiftX     = m_uiSubSampExpX + 2;
-    Int         iAddX       = ( 1 << iShiftX ) >> 1;
-    Int         iBasePosX   = Clip3( 0, pcBasePdm->getWidth () - 1, iCurrPosX + ( ( iDisparity + iAddX ) >> iShiftX ) );
-    Int         iBasePosY   = Clip3( 0, pcBasePdm->getHeight() - 1, iCurrPosY                               );
-    Int         iBaseCUAddr;
-    Int         iBaseAbsPartIdx;
-    pcBaseRec->getCUAddrAndPartIdx( iBasePosX << m_uiSubSampExpX, iBasePosY << m_uiSubSampExpY, iBaseCUAddr, iBaseAbsPartIdx );
-    TComDataCU* pcBaseCU    = pcBasePic->getCU( iBaseCUAddr );
-    if( pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) != MODE_INTER && pcBaseCU->getPredictionMode( iBaseAbsPartIdx ) != MODE_SKIP )
-    {
-      continue;
-    }
-
-    for( UInt uiBaseRefListId = 0; uiBaseRefListId < 2; uiBaseRefListId++ )
-    {
-      RefPicList  eBaseRefPicList = RefPicList( uiBaseRefListId );
-      TComMvField cBaseMvField;
-      pcBaseCU->getMvField( pcBaseCU, iBaseAbsPartIdx, eBaseRefPicList, cBaseMvField );
-      Int         iBaseRefIdx     = cBaseMvField.getRefIdx();
-      Int         iBaseRefPoc     = ( iBaseRefIdx >= 0 ? pcBaseCU->getSlice()->getRefPic( eBaseRefPicList, iBaseRefIdx )->getPOC() : -(1<<30) );
-      if( iBaseRefIdx >= 0 && iBaseRefPoc == iRefPoc )
-      {
-        rcMv.set( cBaseMvField.getHor(), cBaseMvField.getVer() );
-        return true;
-      }
-    }
-  }
-  return false;
-}
-#endif // H3D_NBDV
-#endif // QC_AMVP_MRG_UNIFY_IVCAN_C0051
 
 
Index: /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComDepthMapGenerator.h	(revision 332)
@@ -152,11 +152,5 @@
 #if H3D_IVMP
 #if H3D_NBDV
-#if QC_AMVP_MRG_UNIFY_IVCAN_C0051
   Bool  getPdmCandidate       ( TComDataCU*   pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo, Int* iPdm, Bool bMerge );
-#else
-  Int   getPdmMergeCandidate  ( TComDataCU*   pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv, DisInfo* pDInfo, Int* iPdm );
-  Bool  getPdmMvPredDisCan    ( TComDataCU*   pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, DisInfo* pDInfo, Bool bMerge );
-  Bool  getDisCanPdmMvPred    ( TComDataCU*   pcCU, UInt uiPartIdx, RefPicList eRefPicList, Int iRefIdx, TComMv& rcMv, DisInfo* pDInfo, Bool bMerge );
-#endif
 #else
   Int   getPdmMergeCandidate  ( TComDataCU*   pcCU, UInt uiPartIdx, Int* paiPdmRefIdx, TComMv* pacPdmMv );
Index: /trunk/source/Lib/TLibCommon/TComMotionInfo.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComMotionInfo.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComMotionInfo.h	(revision 332)
@@ -66,4 +66,13 @@
   Int    iN;                                ///< number of motion vector predictor candidates
 } DisInfo;
+
+typedef struct _McpDisCand
+{
+  TComMv m_acMvCand[2][ MCP_DIS_CANS ];            ///< array of motion vector predictor candidates
+  Int    m_aVIdxCan[2][ MCP_DIS_CANS ];            ///< array of motion vector predictor candidates
+  Bool   m_bAvailab[2][ MCP_DIS_CANS ];
+  Bool   m_bFound;                                 ///< number of motion vector predictor candidates
+} McpDisInfo;
+
 #endif 
 // Class definition
Index: /trunk/source/Lib/TLibCommon/TComMv.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComMv.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComMv.h	(revision 332)
@@ -60,7 +60,5 @@
   Bool  m_bDvMcp;       // is dv-mcp ?
   Int   m_iDvMcpDispX;  // disparity for dv-mcp
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
   Int   m_iDvMcpDispY;  // disparity for dv-mcp
-#endif
 #endif
 
@@ -75,7 +73,5 @@
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
   , m_iDvMcpDispY(0)
-#endif
 #endif
   {
@@ -88,7 +84,5 @@
   , m_bDvMcp(false)
   , m_iDvMcpDispX(0)
-#if MTK_RELEASE_DV_CONSTRAINT_C0129
   , m_iDvMcpDispY(0)
-#endif
 #endif
   {
Index: /trunk/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComPic.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComPic.cpp	(revision 332)
@@ -85,5 +85,5 @@
   m_aaiCodedScale     = 0;
   m_aaiCodedOffset    = 0;
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   m_bReduceBitsQTL    = 0;
 #endif
Index: /trunk/source/Lib/TLibCommon/TComPic.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComPic.h	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComPic.h	(revision 332)
@@ -121,5 +121,5 @@
   Int**                 m_aaiCodedOffset;
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool                  m_bReduceBitsQTL;
 #endif
@@ -203,5 +203,5 @@
 #endif
 
-#if OL_QTLIMIT_PREDCODING_B0068
+#if H3D_QTL
   Bool          getReduceBitsFlag ()             { return m_bReduceBitsQTL;     }
   Void          setReduceBitsFlag ( Bool bFlag ) { m_bReduceBitsQTL = bFlag;    }
Index: /trunk/source/Lib/TLibCommon/TComPicYuv.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 331)
+++ /trunk/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 332)
@@ -468,5 +468,5 @@
 Void TComPicYuv::setLumaTo( Pel pVal )
 {
-  xSetPels( getLumaAddr(), getStride(), getWidth(), getHeight() >> 1, pVal );
+  xSetPels( getLumaAddr(), getStride(), getWidth(), getHeight(), pVal );
 }
 
